summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDale Rahn <drahn@cvs.openbsd.org>2001-09-01 16:21:17 +0000
committerDale Rahn <drahn@cvs.openbsd.org>2001-09-01 16:21:17 +0000
commit5cd95bbee8e1e0fd211b3f68255c23edbc21b8e0 (patch)
tree18eec9de4ae3f8ea84ef58f55af382b6d9646ae4
parent5e349c21eb12e8346f9eeec9e1f389e621606ee0 (diff)
Changes to build platform specific files properly with the powerpc -> macppc
port rename. This adds support for some of these to mvmeppc when it becomes MACHINE_ARCH=powerpc, as MACHINE_ARCH is tested in some instances. ancontrol and wicontrol are MACHINE_ARCH changes.
-rw-r--r--sbin/ancontrol/Makefile4
-rw-r--r--sbin/disklabel/Makefile4
-rw-r--r--sbin/fdisk/Makefile6
-rw-r--r--sbin/iopctl/Makefile4
-rw-r--r--sbin/kbd/Makefile4
-rw-r--r--sbin/pdisk/Makefile6
-rw-r--r--sbin/wicontrol/Makefile4
-rw-r--r--sbin/wsconsctl/Makefile6
8 files changed, 19 insertions, 19 deletions
diff --git a/sbin/ancontrol/Makefile b/sbin/ancontrol/Makefile
index 20b67504e33..73f044607e6 100644
--- a/sbin/ancontrol/Makefile
+++ b/sbin/ancontrol/Makefile
@@ -1,6 +1,6 @@
-# $OpenBSD: Makefile,v 1.4 2001/07/02 18:13:23 deraadt Exp $
+# $OpenBSD: Makefile,v 1.5 2001/09/01 16:21:16 drahn Exp $
-.if (${MACHINE} == "i386") || (${MACHINE} == "powerpc") || \
+.if (${MACHINE} == "i386") || (${MACHINE_ARCH} == "powerpc") || \
(${MACHINE} == "alpha")
PROG= ancontrol
CFLAGS+=-DANCACHE
diff --git a/sbin/disklabel/Makefile b/sbin/disklabel/Makefile
index a2793976d1a..26b65c98363 100644
--- a/sbin/disklabel/Makefile
+++ b/sbin/disklabel/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.25 2001/04/05 17:03:37 deraadt Exp $
+# $OpenBSD: Makefile,v 1.26 2001/09/01 16:21:16 drahn Exp $
PROG= disklabel
SRCS= disklabel.c dkcksum.c editor.c manual.c
@@ -47,7 +47,7 @@ CFLAGS+= -DSEEALSO="\"installboot(8)\"" -DCYLCHECK -DAAT0
CFLAGS+= -DSEEALSO="\"installboot(8)\""
.endif
-.if (${MACHINE} == "powerpc")
+.if (${MACHINE} == "macppc")
CFLAGS+= -DDOSLABEL
CFLAGS+= -DSEEALSO="\"fdisk(8)\""
.endif
diff --git a/sbin/fdisk/Makefile b/sbin/fdisk/Makefile
index e4c3c962b77..0d9387ed3a0 100644
--- a/sbin/fdisk/Makefile
+++ b/sbin/fdisk/Makefile
@@ -1,5 +1,5 @@
#
-# $OpenBSD: Makefile,v 1.16 2001/04/05 17:03:37 deraadt Exp $
+# $OpenBSD: Makefile,v 1.17 2001/09/01 16:21:16 drahn Exp $
#
# Copyright (c) 1997 Tobias Weingartner
# All rights reserved.
@@ -30,7 +30,7 @@
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
-.if ${MACHINE} == "i386" || ${MACHINE} == "arc" || ${MACHINE} == "powerpc" || ${MACHINE} == "alpha"
+.if ${MACHINE} == "i386" || ${MACHINE} == "arc" || ${MACHINE} == "macppc" || ${MACHINE} == "alpha"
PROG= fdisk
SRCS= fdisk.c user.c misc.c disk.c mbr.c part.c cmd.c manual.c
DPADD= ${LIBUTIL}
@@ -54,6 +54,6 @@ NOPROG=yes
.endif
MAN= fdisk.8
-MANSUBDIR=i386 arc powerpc alpha
+MANSUBDIR=i386 arc macppc alpha
.include <bsd.prog.mk>
diff --git a/sbin/iopctl/Makefile b/sbin/iopctl/Makefile
index 7f7b6d3d304..6787ad18a6a 100644
--- a/sbin/iopctl/Makefile
+++ b/sbin/iopctl/Makefile
@@ -1,6 +1,6 @@
-# $OpenBSD: Makefile,v 1.2 2001/07/05 02:14:38 mickey Exp $
+# $OpenBSD: Makefile,v 1.3 2001/09/01 16:21:16 drahn Exp $
-.if (${MACHINE} == "i386") || (${MACHINE} == "powerpc") || \
+.if (${MACHINE} == "i386") || (${MACHINE} == "macppc") || \
(${MACHINE} == "alpha")
PROG= iopctl
.else
diff --git a/sbin/kbd/Makefile b/sbin/kbd/Makefile
index 59c5a1a4712..9f975d748d2 100644
--- a/sbin/kbd/Makefile
+++ b/sbin/kbd/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.10 2001/06/04 20:53:22 maja Exp $
+# $OpenBSD: Makefile,v 1.11 2001/09/01 16:21:16 drahn Exp $
PROG= kbd
MAN= kbd.8
@@ -8,7 +8,7 @@ CFLAGS+=-I${.CURDIR}
.if (${MACHINE} == "arc")
SRCS+= kbd_i386.c
-.elif (${MACHINE} == "i386") || (${MACHINE} == "powerpc") || \
+.elif (${MACHINE} == "i386") || (${MACHINE} == "macppc") || \
(${MACHINE} == "vax")
SRCS+= kbd_wscons.c
LDADD= -lkvm
diff --git a/sbin/pdisk/Makefile b/sbin/pdisk/Makefile
index fefe542b69d..151c25d7444 100644
--- a/sbin/pdisk/Makefile
+++ b/sbin/pdisk/Makefile
@@ -1,6 +1,6 @@
-# $Id: Makefile,v 1.3 2001/04/17 05:11:10 drahn Exp $
+# $Id: Makefile,v 1.4 2001/09/01 16:21:16 drahn Exp $
-.if ${MACHINE} == "powerpc"
+.if ${MACHINE} == "macppc"
PROG= pdisk
SRCS= pdisk.c dump.c partition_map.c convert.c io.c errors.c bitfield.c \
@@ -10,6 +10,6 @@ NOPROG=yes
.endif
MAN= pdisk.8
-MANSUBDIR=powerpc
+MANSUBDIR=macppc
.include <bsd.prog.mk>
diff --git a/sbin/wicontrol/Makefile b/sbin/wicontrol/Makefile
index 7b9b601ece1..a0c5cf0707f 100644
--- a/sbin/wicontrol/Makefile
+++ b/sbin/wicontrol/Makefile
@@ -1,7 +1,7 @@
-# $OpenBSD: Makefile,v 1.4 2001/07/02 18:13:23 deraadt Exp $
+# $OpenBSD: Makefile,v 1.5 2001/09/01 16:21:16 drahn Exp $
# From: Makefile,v 1.1 1999/05/05 07:37:06 wpaul Exp $
-.if (${MACHINE} == "i386") || (${MACHINE} == "powerpc") || \
+.if (${MACHINE} == "i386") || (${MACHINE_ARCH} == "powerpc") || \
(${MACHINE} == "alpha")
PROG= wicontrol
SRCS= wicontrol.c
diff --git a/sbin/wsconsctl/Makefile b/sbin/wsconsctl/Makefile
index f9d976f3cf1..9d67539435a 100644
--- a/sbin/wsconsctl/Makefile
+++ b/sbin/wsconsctl/Makefile
@@ -1,7 +1,7 @@
-# $OpenBSD: Makefile,v 1.7 2001/01/30 01:18:37 mickey Exp $
+# $OpenBSD: Makefile,v 1.8 2001/09/01 16:21:16 drahn Exp $
.if ${MACHINE} == "i386" || ${MACHINE} == "alpha" || ${MACHINE} == "hppa" || \
- ${MACHINE} == "powerpc"
+ ${MACHINE} == "macppc"
PROG= wsconsctl
SRCS= display.c keyboard.c keysym.c map_parse.y map_scan.l \
@@ -22,6 +22,6 @@ NOPROG=yes
.endif
MAN= wsconsctl.8
-MANSUBDIR= alpha hppa i386 powerpc
+MANSUBDIR= alpha hppa i386 macppc
.include <bsd.prog.mk>